import request from '@/utils/request'

export function login(data) {
  return request({
    url: '/sys/Login/checkLogin',
    method: 'post',
    data
  })
}

export function getInfo(token) {
  return request({
    url: '/sys/User/info',
    method: 'get',
    params: { token }
  })
}
export function getCaptcha(token) {
  return request({
    url: '/sys/Login/captcha',
    method: 'get',
    params: { token }
  })
}

export function logout() {
  return request({
    url: '/sys/Login/logout',
    method: 'post'
  })
}
